/* -*- Mode: C; indent-tabs-mode: t; c-basic-offset: 4; tab-width: 4 -*- */
/*
 * about.c
 * Copyright (C) Andrea Del Signore 2006 <sejerpz@tin.it>
 * 
 * about.c is free software.
 * 
 * You may redistribute it and/or modify it under the terms of the
 * GNU General Public License, as published by the Free Software
 * Foundation; either version 2 of the License, or (at your option)
 * any later version.
 * 
 * main.c is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with main.c.  If not, write to:
 * 	The Free Software Foundation, Inc.,
 * 	51 Franklin Street, Fifth Floor
 * 	Boston, MA  02110-1301, USA.
 */
#include <glib.h>
#include <gtk/gtk.h>
#include "config.h"

/*
 * Standard gettext macros.
 */
#ifdef ENABLE_NLS
#  include <libintl.h>
#  undef _
#  define _(String) dgettext (PACKAGE, String)
#  ifdef gettext_noop
#    define N_(String) gettext_noop (String)
#  else
#    define N_(String) (String)
#  endif
#else
#  define textdomain(String) (String)
#  define gettext(String) (String)
#  define dgettext(Domain,Message) (Message)
#  define dcgettext(Domain,Message,Type) (Message)
#  define bindtextdomain(Domain,Directory) (Domain)
#  define _(String) (String)
#  define N_(String) (String)
#endif

void ovc_about_show()
{
  GtkWidget *dialog;
  const char *authors[] = { "Andrea Del Signore", NULL };
  gchar *translator_credits = _("translator_credits");
  
  dialog = gtk_about_dialog_new ();
  if (g_ascii_strcasecmp(translator_credits, "translator_credits") != 0)
	  gtk_about_dialog_set_translator_credits(GTK_ABOUT_DIALOG (dialog),translator_credits);
  
  
  gtk_about_dialog_set_name (GTK_ABOUT_DIALOG (dialog), "ovpnClient");
  gtk_about_dialog_set_comments (GTK_ABOUT_DIALOG (dialog),
				 _("OpenVPN Connection manager"));
  gtk_about_dialog_set_version (GTK_ABOUT_DIALOG (dialog), VERSION);
  gtk_about_dialog_set_website (GTK_ABOUT_DIALOG (dialog),
				"http://persbaglio.no-ip.org");
  gtk_about_dialog_set_website_label (GTK_ABOUT_DIALOG (dialog),
				      _("perSbaglio website"));
  gtk_about_dialog_set_license (GTK_ABOUT_DIALOG (dialog),
				_(("(c) 2006 Andrea Del Signore (sejerpz@tin.it).\n\n\
This program is licensed under the terms of the GNU\n\
General Public License and is provided with absolutely\n\
NO WARRANTY; see the file COPYING for details.")));

  gtk_about_dialog_set_authors (GTK_ABOUT_DIALOG (dialog), authors);
  gtk_dialog_run (GTK_DIALOG(dialog));	
  
  gtk_widget_destroy(dialog);
}
