/***************************************************************************
 *            ovcconnection.h
 *
 *  Tue Jun 20 14:13:49 2006
 *  Copyright  2006  Andrea Del Signore
 *  sejerpz@tin.it
 ***************************************************************************/

/*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef OVCCONNECTION_H
#define OVCCONNECTION_H

#include <glib.h>
#include <glib-object.h>

G_BEGIN_DECLS
#define OVC_TYPE_CONNECTION         (ovc_connection_get_type ())
#define OVC_CONNECTION(o)           (G_TYPE_CHECK_INSTANCE_CAST ((o), OVC_TYPE_CONNECTION, OvcConnection))
#define OVC_CONNECTION_CLASS(k)     (G_TYPE_CHECK_CLASS_CAST((k), OVC_TYPE_CONNECTION, OvcConnectionClass))
#define OVC_IS_CONNECTION(o)        (G_TYPE_CHECK_INSTANCE_TYPE ((o), OVC_TYPE_CONNECTION))
#define OVC_IS_CONNECTION_CLASS(k)  (G_TYPE_CHECK_CLASS_TYPE ((k), OVC_TYPE_CONNECTION))
#define OVC_CONNECTION_GET_CLASS(o) (G_TYPE_INSTANCE_GET_CLASS ((o), OVC_TYPE_CONNECTION, OvcConnectionClass))
typedef struct _OvcConnection OvcConnection;
typedef struct _OvcConnectionPrivate OvcConnectionPrivate;
typedef struct _OvcConnectionClass OvcConnectionClass;

struct _OvcConnection
{
	GObject parent;
	OvcConnectionPrivate *priv;
};

struct _OvcConnectionClass
{
	GObjectClass parent_class;
	/* Add Signal Functions Here */
};

enum
{
	OVC_CONNECTION_CONSTRUCT_NAME = 1,
	OVC_CONNECTION_STATUS,
	OVC_CONNECTION_HOST,
	OVC_CONNECTION_PORT,
};

typedef enum 
{
	OVC_CONNECTION_STATUS_UNKNOWN=0,
	OVC_CONNECTION_STATUS_QUERYING,
	OVC_CONNECTION_STATUS_NOT_CONNECTED,
	OVC_CONNECTION_STATUS_CONNECTING,
	OVC_CONNECTION_STATUS_CONNECTED,
	OVC_CONNECTION_STATUS_CLOSING,
	OVC_CONNECTION_STATUS_INITIALIZING,
	OVC_CONNECTION_STATUS_LAST,
} OVC_CONNECTION_STATES;

gchar *status_descriptions[OVC_CONNECTION_STATUS_LAST];
GType ovc_connection_get_type ();
OvcConnection *ovc_connection_new (const gchar * name);
void ovc_connection_control_channel_open (OvcConnection *self);
void ovc_connection_open(OvcConnection *self);
void ovc_connection_close(OvcConnection *self);
gboolean ovc_connection_write(OvcConnection *self, gchar *data);
G_END_DECLS
#endif /* OVCCONNECTION_H */

