/***************************************************************************
 *            ovc-connections.h
 *
 *  Thu Jun 22 21:13:56 2006
 *  Copyright  2006  Andrea Del Signore
 *  sejerpz@tin.it
 ***************************************************************************/

/*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef OVC_CONNECTIONS_H
#define OVC_CONNECTIONS_H

#include <glib.h>
#include <glib-object.h>

#include "ovc-connection.h"
G_BEGIN_DECLS

#define OVC_TYPE_CONNECTIONS         (ovc_connections_get_type ())
#define OVC_CONNECTIONS(o)           (G_TYPE_CHECK_INSTANCE_CAST ((o), OVC_TYPE_CONNECTIONS, OvcConnections))
#define OVC_CONNECTIONS_CLASS(k)     (G_TYPE_CHECK_CLASS_CAST((k), OVC_TYPE_CONNECTIONS, OvcConnectionsClass))
#define OVC_IS_CONNECTIONS(o)        (G_TYPE_CHECK_INSTANCE_TYPE ((o), OVC_TYPE_CONNECTIONS))
#define OVC_IS_CONNECTIONS_CLASS(k)  (G_TYPE_CHECK_CLASS_TYPE ((k), OVC_TYPE_CONNECTIONS))
#define OVC_CONNECTIONS_GET_CLASS(o) (G_TYPE_INSTANCE_GET_CLASS ((o), OVC_TYPE_CONNECTIONS, OvcConnectionsClass))

typedef struct _OvcConnections OvcConnections;
typedef struct _OvcConnectionsPrivate OvcConnectionsPrivate;
typedef struct _OvcConnectionsClass OvcConnectionsClass;

struct _OvcConnections {
	GObject parent;
	OvcConnectionsPrivate *priv;
};

struct _OvcConnectionsClass {
	GObjectClass parent_class;
	/* Add Signal Functions Here */
};

GType ovc_connections_get_type();
OvcConnections *ovc_connections_new();
gboolean
ovc_connections_load(OvcConnections *self, const gchar *filename);

gboolean
ovc_connections_save(OvcConnections *self, const gchar *filename);

OvcConnection*
ovc_connections_add(OvcConnections *self, OvcConnection *connection);

void
ovc_connections_remove(OvcConnections *self, const OvcConnection *connection);

G_END_DECLS

#endif /* OVC_CONNECTIONS_H */
