/***************************************************************************
 *            ovc-ui-connection.h
 *
 *  Sat Jun 24 11:58:00 2006
 *  Copyright  2006  Andrea Del Signore
 *  sejerpz@tin.it
 ***************************************************************************/

/*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef OVC_UI_CONNECTION_H
#define OVC_UI_CONNECTION_H

#include <glib.h>
#include <glib-object.h>

#include "ovc-connection.h"

G_BEGIN_DECLS

#define OVC_TYPE_UICONNECTION         (ovc_ui_connection_get_type ())
#define OVC_UICONNECTION(o)           (G_TYPE_CHECK_INSTANCE_CAST ((o), OVC_TYPE_UICONNECTION, OvcUiConnection))
#define OVC_UICONNECTION_CLASS(k)     (G_TYPE_CHECK_CLASS_CAST((k), OVC_TYPE_UICONNECTION, OvcUiConnectionClass))
#define OVC_IS_UICONNECTION(o)        (G_TYPE_CHECK_INSTANCE_TYPE ((o), OVC_TYPE_UICONNECTION))
#define OVC_IS_UICONNECTION_CLASS(k)  (G_TYPE_CHECK_CLASS_TYPE ((k), OVC_TYPE_UICONNECTION))
#define OVC_UICONNECTION_GET_CLASS(o) (G_TYPE_INSTANCE_GET_CLASS ((o), OVC_TYPE_UICONNECTION, OvcUiConnectionClass))

typedef struct _OvcUiConnection OvcUiConnection;
typedef struct _OvcUiConnectionPrivate OvcUiConnectionPrivate;
typedef struct _OvcUiConnectionClass OvcUiConnectionClass;

struct _OvcUiConnection {
	GObject parent;
	OvcUiConnectionPrivate *priv;
};

struct _OvcUiConnectionClass {
	GObjectClass parent_class;
	/* Add Signal Functions Here */
};

enum
{
	OVC_UICONNECTION_CONSTRUCT_CONNECTION = 1,
	OVC_UICONNECTION_CONSTRUCT_GLADE_UI,
};

GType ovc_ui_connection_get_type();
OvcUiConnection *ovc_ui_connection_new(const gchar *glade_ui, OvcConnection *connection);
gint ovc_ui_connection_show(OvcUiConnection *self);

G_END_DECLS

#endif /* OVC_UI_CONNECTION_H */
