/***************************************************************************
 *            ovc-ui-connections.h
 *
 *  Fri Jun 23 20:22:27 2006
 *  Copyright  2006  Andrea Del Signore
 *  sejerpz@tin.it
 ***************************************************************************/

/*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#include "ovc-connections.h"

#ifndef OVC_UI_CONNECTIONS_H
#define OVC_UI_CONNECTIONS_H

#include <glib.h>
#include <glib-object.h>
#include <glade/glade.h>

G_BEGIN_DECLS

#define OVC_TYPE_UICONNECTIONS         (ovc_ui_connections_get_type ())
#define OVC_UICONNECTIONS(o)           (G_TYPE_CHECK_INSTANCE_CAST ((o), OVC_TYPE_UICONNECTIONS, OvcUiConnections))
#define OVC_UICONNECTIONS_CLASS(k)     (G_TYPE_CHECK_CLASS_CAST((k), OVC_TYPE_UICONNECTIONS, OvcUiConnectionsClass))
#define OVC_IS_UICONNECTIONS(o)        (G_TYPE_CHECK_INSTANCE_TYPE ((o), OVC_TYPE_UICONNECTIONS))
#define OVC_IS_UICONNECTIONS_CLASS(k)  (G_TYPE_CHECK_CLASS_TYPE ((k), OVC_TYPE_UICONNECTIONS))
#define OVC_UICONNECTIONS_GET_CLASS(o) (G_TYPE_INSTANCE_GET_CLASS ((o), OVC_TYPE_UICONNECTIONS, OvcUiConnectionsClass))

typedef struct _OvcUiConnections OvcUiConnections;
typedef struct _OvcUiConnectionsPrivate OvcUiConnectionsPrivate;
typedef struct _OvcUiConnectionsClass OvcUiConnectionsClass;

struct _OvcUiConnections {
	GObject parent;
	OvcUiConnectionsPrivate *priv;
};

struct _OvcUiConnectionsClass {
	GObjectClass parent_class;
	/* Add Signal Functions Here */
};

enum
{
	OVC_UICONNECTIONS_CONSTRUCT_CONNECTIONS = 1,
	OVC_UICONNECTIONS_CONSTRUCT_GLADE_UI,
};

GType ovc_ui_connections_get_type();
OvcUiConnections *ovc_ui_connections_new(const gchar *glade_ui, OvcConnections *connections);
void ovc_ui_connections_show(OvcUiConnections *self);

G_END_DECLS

#endif /* OVC_UI_CONNECTIONS_H */
